<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://www.quanda.com/
 * @since      1.0.0
 *
 * @package    Quanda_Forms
 * @subpackage Quanda_Forms/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">

    <h2><?php echo esc_html(get_admin_page_title()); ?></h2>
    
    <form method="post" name="qf_options" action="options.php">
     <?php 
     
	settings_fields($this->plugin_name); 
	do_settings_sections($this->plugin_name);
	//Grab all options
        $options = get_option($this->plugin_name);

        $qf_n[1] = $options['n1'];
        $qf_r[1] = $options['r1'];
        $qf_n[2] = $options['n2'];
        $qf_r[2] = $options['r2'];
        $qf_n[3] = $options['n3'];
        $qf_r[3] = $options['r3'];
        $qf_n[4] = $options['n4'];
        $qf_r[4] = $options['r4'];
        $qf_n[5] = $options['n5'];
        $qf_r[5] = $options['r5'];

     
     ?>
	    
	  
       
    
	<fieldset>
	    <p>Vložte prosím kódy formulářů z Quandy</p>
	    <legend class="screen-reader-text"><span><?php _e('Vložte prosím kódy z Quandy', $this->plugin_name); ?></span></legend>
	      
	    <table id="quanda_forms">
		    <tr>
			    <th id="nr">#</th>
			    <th id="html_code">html kód formuláře</th>
			    <th id="output_type">způsob vypisování</th>
			    <th id="shortcode">shortcode</th>
		    </tr>
		    
		    <?php for ($i = 1; $i <= 5; $i++)
		    {
			    ?>
		    <tr>
			    <td><?php echo $i;?></td>
			    <td><input type="text" placeholder="quanda div" class="regular-text quanda-div-ph" id="<?php echo $this->plugin_name; ?>-n<?php echo $i;?>" name="<?php echo $this->plugin_name; ?>[n<?php echo $i;?>]" value="<?php if(!empty($qf_n[$i])) echo esc_html($qf_n[$i]); ?>"/></td>
			    <td>
				    <label for="<?php echo $this->plugin_name; ?>-r<?php echo $i;?>a" ><input type="radio" id="<?php echo $this->plugin_name; ?>-r<?php echo $i;?>a" name="<?php echo $this->plugin_name; ?>[r<?php echo $i;?>]" value="head" class="head" <?php checked($qf_r[$i], "head"); ?> /> Všechny stránky</label>
				    <label for="<?php echo $this->plugin_name; ?>-r<?php echo $i;?>b" ><input type="radio" id="<?php echo $this->plugin_name; ?>-r<?php echo $i;?>b" name="<?php echo $this->plugin_name; ?>[r<?php echo $i;?>]" value="specific" class="specific" <?php checked($qf_r[$i], "specific"); ?> /> Konkrétní stránka</label>
			 
			    </td>
			    <td>
				    <div class="shortcode-ph"><input onfocus="this.select();" readonly="readonly" value="[quanda-form id=<?php echo $i;?>]" class="large-text code" type="text"></div>
			    </td>
		    </tr>
		    <?php
		    } 
		    ?>
		    
		    
	    </table>
	</fieldset>

        <?php submit_button('Save all changes', 'primary','submit', TRUE); ?>

    </form>

</div>



