<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://www.quanda.com/
 * @since             1.0.0
 * @package           Quanda_Forms
 *
 * @wordpress-plugin
 * Plugin Name:       Quanda forms
 * Plugin URI:        http://www.quanda.com/
 * Description:       Quanda forms beta
 * Version:           1.0.1
 * Author:            Quanda international
 * Author URI:        http://www.quanda.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       quanda-forms
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-quanda-forms-activator.php
 */
function activate_quanda_forms() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-quanda-forms-activator.php';
	Quanda_Forms_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-quanda-forms-deactivator.php
 */
function deactivate_quanda_forms() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-quanda-forms-deactivator.php';
	Quanda_Forms_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_quanda_forms' );
register_deactivation_hook( __FILE__, 'deactivate_quanda_forms' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-quanda-forms.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_quanda_forms() {

	$plugin = new Quanda_Forms();
	$plugin->run();

}
run_quanda_forms();
